.TH "src/httpserver/http_server.hpp" 3 "Fri Jan 7 2022" "ombs-OnlineMovieBookingSystem" \" -*- nroff -*-
.ad l
.nh
.SH NAME
src/httpserver/http_server.hpp
.SH SYNOPSIS
.br
.PP
\fC#include 'SimpleJSON/json\&.hpp'\fP
.br
\fC#include 'multiplexer\&.hpp'\fP
.br

.SS "Classes"

.in +1c
.ti -1c
.RI "class \fBomsb::HttpServer\fP"
.br
.RI "this the class that handels user REST API requests\&. we only need to create one object abd start server\&. there is no need to create multiple instanaces in one node as each request is handlled in dedicated thread\&. "
.in -1c
.SS "Namespaces"

.in +1c
.ti -1c
.RI " \fBomsb\fP"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "constexpr char \fBomsb::ombsIpAddress\fP [] = '0\&.0\&.0\&.0'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsPort\fP [] = '5000'"
.br
.ti -1c
.RI "constexpr int \fBomsb::ombsThreads\fP = 100"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsAddTheaterEndpoint\fP [] = '/addtheater'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsAddMovieEndpoint\fP [] = '/addmovie'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsGetAllTheatersEndpoint\fP [] = '/getalltheaters'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsGetAllMoviesEndpoint\fP [] = '/getallmovies'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsAddMovieShowEndpoint\fP [] = '/addshow'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsBookSeatsEndpoint\fP [] = '/bookseats'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsGetAllMovieShowsEndpoint\fP [] = '/'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsGetTheaterByMovieEndpoint\fP [] = '/{movie_id}'"
.br
.ti -1c
.RI "constexpr char \fBomsb::ombsGetAvailableSeatsByMovieAndByTheaterEndpoint\fP [] = '/{movie_id}/{theater_id}'"
.br
.in -1c
.SH "Author"
.PP 
Generated automatically by Doxygen for ombs-OnlineMovieBookingSystem from the source code\&.
